#include "shapes.inc"
#include "colors.inc"
#include "textures.inc"
#include "stones.inc"
#include "metals.inc"
#include "glass.inc"
#include "woods.inc"

#include "cactus.inc"
#include "ground.inc"

light_source {
   <4.09,30,50>
   rgb<.6,.3,.3>
   area_light <1, 0, 0>, <0, 1, 0>, 2, 2
   adaptive 1
   jitter
   atmospheric_attenuation on
}

background {
   color red 0 green 0 blue 0
}

camera {
     location <1,2,-21>
   direction <0, 0, 1>          // Which way we are looking <X Y Z>
   up <0, 1, 0>                 // Which direction is   +up <X Y X>
   right <4/3, 0, 0>            // Which way is      +right <X Y Z>
   look_at <-1.5, 2, 0>  // Point camera at this point(center of view)
}

//CLOUDS
sphere{ <0, 0, 0>, 1 no_shadow
   texture { 
      pigment{bozo turbulence 1.0 octaves 3 lambda 6 
         color_map{ 
         [0.0 0.6 color Clear color Clear]  [0.94 color Gray70 filter .1] 
         [0.97 color Gray60 filter .075  ]  [1.0 color Gray70 filter .05] }
         }
      finish { ambient .7 diffuse 0 } scale 1/15
   }
   scale <3000, 100, 500>
}
